Reddit Subreddit Controversial
Endpoint reference for /v1/reddit/r/:subreddit/controversial.
POST
/v1/reddit/r/:subreddit/controversial Request Parameters
| Name | In | Type | Required | Description |
|---|---|---|---|---|
| subreddit | path | string | Yes | Subreddit name. |
| after | body | string | No | Pagination cursor for the next page. |
| before | body | string | No | Pagination cursor for the previous page. |
| limit | body | number | No | Number of posts to return (max 100). |
Response Structure
Async kickoff response
Polled run result response
Sync response
Declared output schema
Code Examples
Async + polling
RUN=$(curl -s -X POST "https://api.browsable.app/v1/reddit/r/programming/controversial" \
-H "Authorization: Bearer YOUR_API_KEY" \
-H "Content-Type: application/json" \
-d '{"after":"sample","before":"sample","limit":1.5}')
RUN_ID=$(echo "$RUN" | jq -r '.run_id')
while true; do
RESULT=$(curl -s -H "Authorization: Bearer YOUR_API_KEY" "https://api.browsable.app/v1/runs/$RUN_ID")
STATUS=$(echo "$RESULT" | jq -r '.run_status')
if [ "$STATUS" = "succeeded" ] || [ "$STATUS" = "failed" ]; then
echo "$RESULT"
break
fi
sleep 2
doneSync
curl -X POST "https://api.browsable.app/v1/reddit/r/programming/controversial" \
-H "Authorization: Bearer YOUR_API_KEY" \
-H "Content-Type: application/json" \
-d '{"after":"sample","before":"sample","limit":1.5,"_run":{"async":false}}'